Skip to content

Get Lineage Batch

GET
/api/v1/lineage/batch/{batch_id}

Get all lineage entries for a replay batch.

Args: batch_id: Replay batch ID service: Lineage service (injected)

Returns: LineageBatchResponse with batch entries

batch_id
required
Batch Id
string

Successful Response

LineageBatchResponse

Lineage entries for a replay batch.

object
batch_id
required
Batch Id

Replay batch ID

string
entries
required
Entries

Entries in this batch

Array<object>
LineageEntryResponse

Pipeline lineage entry response.

object
id
required
Id

Lineage entry UUID

string format: uuid
correlation_id
required
Correlation Id

Correlation ID for this processing attempt

string
parent_correlation_id
Any of:
string
replay_batch_id
Any of:
string
execution_id
Any of:
string format: uuid
route_id
Any of:
string
adapter_name
Any of:
string
adapter_index
Any of:
integer
stage_name
required
Stage Name

Stage name

string
stage_status
required
Stage Status

Current status of this stage

string
Allowed values: pending initiated processing completed failed cancelled
stage_input_hash
Any of:
string
started_at
required
Started At

When processing started

string format: date-time
completed_at
Any of:
string format: date-time
duration_ms
Any of:
number
metadata
Any of:
object
key
additional properties
any
error_info
Any of:
object
key
additional properties
any
total
required
Total

Total entries in batch

integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object